package Uploader::GUI::wxImagePreview;
use strict;
use Wx qw/
             wxID_ANY
             wxDefaultPosition
             wxDefaultSize
             wxVERTICAL
             wxALIGN_CENTER
             wxALL
             wxNullBitmap
             
         /;
use base qw/Wx::Panel/;

sub new {
  my ( $class, $parentwnd, $bitmap, $width, $height ) = @_;

  my $self = $class->SUPER::new( $parentwnd,  wxDefaultPosition, [$width, $height] );

    
#  $self->{bitmap} = Wx::StaticBitmap->new( $self, -1, wxNullBitmap, wxDefaultPosition, [$width, $height] );
  $self->{bitmap} = Wx::StaticBitmap->new( $self, -1, wxNullBitmap, wxDefaultPosition, wxDefaultSize );
    
  $self;    	
}

sub SetBitmap {
    my ( $self, $bitmap ) = @_;
    
    $self->{bitmap}->SetBitmap($bitmap);	
}

1;